org.jgrapht.experimental.dag

## Interface DirectedAcyclicGraph.Visited

- All Known Implementing Classes:
    DirectedAcyclicGraph.VisitedArrayImpl, DirectedAcyclicGraph.VisitedArrayListImpl, DirectedAcyclicGraph.VisitedBitSetImpl, DirectedAcyclicGraph.VisitedHashSetImpl
  Enclosing class:
    DirectedAcyclicGraph<V,E>

      public static interface DirectedAcyclicGraph.Visited

  this interface allows specification of a strategy for marking vertices as visited (based on their topological index, so the vertex type isn't part of the interface).

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearVisited(int index)` Clear the visited state of the given topological index
    `boolean` | `getVisited(int index)` has the given topological index been visited?
    `void` | `setVisited(int index)` mark the given topological index as visited

- - ### Method Detail

    - #### setVisited

          void setVisited(int index)

      mark the given topological index as visited
      Parameters:
        `index` - the topological index

    - #### getVisited

          boolean getVisited(int index)

      has the given topological index been visited?
      Parameters:
        `index` - the topological index

    - #### clearVisited

          void clearVisited(int index)
                            throws UnsupportedOperationException

      Clear the visited state of the given topological index
      Parameters:
        `index` -
      Throws:
        `UnsupportedOperationException` - if the implementation doesn't support (or doesn't need) clearance. For example, if the factory vends a new instance every time, it is a waste of cycles to clear the state after the search of the Affected Region is done, so an UnsupportedOperationException *should* be thrown.

Copyright © 2016. All rights reserved.